<?php
//Includefile with texts and constants.
//v0.1

/* This file contains all strings, filenames and variable data used in the project
to localize this project to a different language, just change the Constants marked
as localization relevant.
Another idea would be to set up a directory/path-structure with all localization
strings and templates for one language in one dir country-coded like mozilla (e.g. DE-de)
set this string here and include them them.
*/

/* 
Before the constants are defined the POST-Variables are imported, because then their
values are available in the constants.
For the strings+contents beeing loaded as template a search+replace has to be done
with str_replace.
*/
require_once('class.auxtools.php');
/*
  Modify the current includepath so the scripts/classes dont always ask, where they themselves
  or the others are.
  The current directory, the parent directory, as well as the Tools, the class directory, and the
  template directory are included.
  IMPORTANT: e.g. ./fpdf and ../fpdf are 2 different things, one includes it from the current directory
  one includes it from the parent directory (important for the includes from the classes)
*/
$aux=new auxtools;
if ($aux->iswindows())
{
	$oldincludepath=get_include_path();
	$new_include_path=';..\\;.;..\\fpdf;..\\fpdf\\font;..\\jpgraph;..\\phpmailer;';
	$new_include_path.='..\\classes;..\\templates;..\\graphics;..\\debug;';
	$new_include_path.='.\\fpdf;.\\fpdf\\font;.\\jpgraph;.\\phpmailer;.\\classes;.\\templates;.\\graphics;.\\debug';	
	set_include_path($oldincludepath.$new_include_path);
	//Debug
	//echo get_include_path();
} else {
	$oldincludepath=get_include_path();
	$new_include_path=';../;.;../fpdf;../fpdf/font;../jpgraph;../phpmailer;';
	$new_include_path.='../classes;../templates;../graphics;../debug';
	$new_include_path.='./fpdf;./fpdf/font;./jpgraph;./phpmailer;./templates;./graphics;./debug';	
	set_include_path($oldincludepath.$new_include_path);
}
/*
 Import the POST-Variables to the global scope, and add the bm_in_-Prefix.
 These Variables are now available on the lowest possible layer, to make them
 available in functions they need to be imported with global $variable
 There should be present right now
 	- $bm_in_data
	- $bm_in_monat
	- $bm_in_jahr
	- $bm_in_name
	- $bm_in_email
*/
import_request_variables('P','bm_in_');

define("FPDF_FONTPATH","fpdf/font/");//FDPF Font-Path

//Serverversion used for some constants
$bm_server_version='0.1';
/*Time and Date of Script Execution for some constants
*/
$bm_created_date=date("d.m.Y");
$bm_created_time=date("H:i:s");

//Measure-Constants for the translate-functions
define('BM_MEASURE_ZERO',0);
define('BM_MEASURE_SURROUND',1);
define('BM_MEASURE_MIDDLE',2);

//Server-Result-Constants
define('BM_OUT_OK',0);
define('BM_OUT_EMAILWRONG',1);
define('BM_OUT_DATAWRONG',2);
define('BM_OUT_INFOMISSING',3);
define('BM_OUT_MAIL_SEND_FAILED',4);
define('BM_OUT_SERVER_LOGIC_ERROR',5);


//Logo-Constants
define('BM_LOGO_BM',0);
define('BM_LOGO_FPDF',1);
define('BM_LOGO_JPGRAPH',2);
define('BM_LOGO_PHPMAILER',3);

//Graph-Constants
define('BM_GRAPH_FERTILITY',0);
define('BM_GRAPH_FREESEX',1);

/*
The Bloodymary-Colors in HTML-Coding. They can directly be used because the FPDF-derived
HTML-Color-Class is used wich translates these.
*/
define('BM_COLOR_ROSA','#ea1cad');
define('BM_COLOR_ROT','#cc0000');
define('BM_COLOR_BLAU_DUNKEL','#339999');
define('BM_COLOR_BLAU_MITTEL','#02c3c3');
define('BM_COLOR_BLAU_HELL','#b5eeee');
define('BM_COLOR_SCHWARZ','#000000');
define('BM_COLOR_WEISS','#ffffff');


// ******************************* LOCALISATION RELEVANT START ****************************
//Constants for the used textparts
define('BM_TXT_VERSION',"\$bm_server_version");

//JPGRAPH
define('BM_TXT_GRAPH_TITLE_FERTILITY',"Fruchtbarkeit");
define('BM_TXT_GRAPH_TITLE_FREESEX',"FreeSex");
define('BM_TXT_GRAPH_SUBTITLE_FERTILITY',"$bm_in_monat/$bm_in_jahr");
define('BM_TXT_GRAPH_SUBTITLE_FREESEX',"$bm_in_monat/$bm_in_jahr");
define('BM_TXT_GRAPH_XAXIS_TITLE_FERTILITY',"Tag");
define('BM_TXT_GRAPH_YAXIS_TITLE_FERTILITY',"Fruchtbarkeitswahrscheinlichkeit in %");
define('BM_TXT_GRAPH_XAXIS_TITLE_FREESEX',"Tag");
define('BM_TXT_GRAPH_YAXIS_TITLE_FREESEX',"Schwangerschaftsunwahrscheinlichkeit in %");
//PDF
/*
Loads the template-files for the textparts in the PDF to variables that are then made
available in constants. Saves a lot of typing and makes projectwide available and more
flexible.
IMPORTANT: No placeholders will be replaced, just the text is beeing loaded. Linebreaks
can be done using \n.
*/
if ($aux->iswindows())
{
	$bm_txt_pdf_howto_loader=file_get_contents('template.pdf_howto.txt',1);
	$bm_txt_pdf_disclaimer_loader=file_get_contents('template.pdf_disclaimer.txt',1);
} else {
	$bm_txt_pdf_howto_loader=file_get_contents('template.pdf_howto.txt',1);
	$bm_txt_pdf_disclaimer_loader=file_get_contents('template.pdf_disclaimer.txt',1);
}
define('BM_TXT_PDF_HOWTO',"$bm_txt_pdf_disclaimer_loader");
define('BM_TXT_PDF_DISCLAIMER',"$bm_txt_pdf_howto_loader");
define('BM_TXT_PDF_HEADERTEXT',"");
define('BM_TXT_PDF_FOOTERTEXT',"\nPowered by Bloodymary Server $bm_server_version.\nBereitgestellt am \n$bm_created_date um $bm_created_time");
define('BM_TXT_PDF_TITLETEXT',"$bm_in_name:\n Ihr Menstruationskalender fr\n$bm_in_monat.$bm_in_jahr");
define('BM_TXT_PDF_FILETITLE',"Bloodymary: Auswertung fr $bm_in_monat / $bm_in_jahr");
define('BM_TXT_PDF_AUTHOR',"Bloodymary Team, Johannes Tigges");
define('BM_TXT_PDF_CREATOR',"Bloodymary Server v0.1");
//EMail
define('BM_TXT_EMAIL_FROM_ADDRESS',"foo.bar@foobar.fo");
define('BM_TXT_EMAIL_FROM_NAME',"Bloodymary Team");
define('BM_TXT_EMAIL_ATTACHMENT_FILENAME',"Bloodymary Auswertung.pdf");
define('BM_TXT_EMAIL_SUBJECT',"Bloodymary: Auswertung fr $bm_in_monat / $bm_in_jahr");

//Filepaths, e.g. for the Templates
//EMAIL
if ($aux->iswindows())
{
	//Add Slash because a filename will directly be appended
	define('BM_TEMPLATE_EMAIL_BODY_HTML','template.email.html');
	define('BM_TEMPLATE_EMAIL_BODY_TEXT','template.email.txt');
} else {
	define('BM_TEMPLATE_EMAIL_BODY_HTML','template.email.html');
	define('BM_TEMPLATE_EMAIL_BODY_TEXT','template.email.txt');
}
//PDF
if ($aux->iswindows())
{
	//Add Slash because a filename will directly be appended
	define('BM_TEMPLATE_PDF_PATH','..\\temp\\pdf\\');
} else {
	define('BM_TEMPLATE_PDF_PATH','../temp/pdf/');
}
//PNG
if ($aux->iswindows())
{
	//Add Slash because a filename will directly be appended
	//The Serverscript calls it in the Serverroot, hence use 1 Dot .
	define('BM_TEMPLATE_PNG_PATH','.\\temp\\png\\');
} else {
	define('BM_TEMPLATE_PNG_PATH','./temp/png/');
}
//LOGOS
	//The Serverscript calls it in the Serverroot, hence use 1 Dot .
if ($aux->iswindows())
{
	define('BM_TEMPLATE_LOGO_BM','.\\graphics\\bloodymary.png');
	define('BM_TEMPLATE_LOGO_FPDF','.\\graphics\\fpdf_small.png');
	define('BM_TEMPLATE_LOGO_JPGRAPH','.\\graphics\\jpgraph_small.png');
	define('BM_TEMPLATE_LOGO_PHPMAILER','.\\graphics\\phpmailer_small.png');
} else {
	define('BM_TEMPLATE_LOGO_BM','./graphics/bloodymary.png');
	define('BM_TEMPLATE_LOGO_FPDF','./graphics/fpdf_small.png');
	define('BM_TEMPLATE_LOGO_JPGRAPH','./graphics/jpgraph_small.png');
	define('BM_TEMPLATE_LOGO_PHPMAILER','./graphics/phpmailer_small.png');
}


//The Template how Filename for the PDFs and PNG are beeing built.
define('BM_TEMPLATE_FILENAME',"\$bm_in_email-\$bm_in_month.\$bm_in_year-\$bm_in_data");
//The prefixes for the filenames of the graph-files.
define('BM_TEMPLATE_FILENAME_PREFIX_FERTILITY','fert');
define('BM_TEMPLATE_FILENAME_PREFIX_FREESEX','freesex');



//### DEBUG ###
$deb=new auxtools();
//$backtrace=debug_backtrace();
//$deb->debug_out(__FILE__.' OK<br>'.'(in '.__FILE__.', Line: '.__LINE__.', Function: '.__FUNCTION__.')<br>');
?>